using ObjectsPool;
using UnityEngine;

public class CircleParticle : PoolObject
{
    [SerializeField] private Animator anim;
    private static readonly int Play = Animator.StringToHash("Play");

    public override void SetObject(Vector2 spawnPosition, GameObjectPool gameObjectPool)
    {
        base.SetObject(spawnPosition, gameObjectPool);
        anim.SetTrigger(Play);
    }


    public void Hide()
    {
        Pool.Return(this);
    }
}
